> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File by ID

> Get information about a file by ID.

#### Path Parameters

<ParamField path="blob_id" type="integer"> ID of the file/blob. Generated automatically by the server after file/blob creation (for example, user photo). </ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required> A user session token. See [Authentication](/reference/authentication) page to learn more about the session token. </ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    A successful response

    <ResponseField name="blob" type="object">
      <Expandable title="properties">
        <ResponseField name="id" type="integer" />

        <ResponseField name="uid" type="string" />

        <ResponseField name="content_type" type="string" />

        <ResponseField name="name" type="string" />

        <ResponseField name="size" type="string" />

        <ResponseField name="created_at" type="string" />

        <ResponseField name="updated_at" type="string" />

        <ResponseField name="blob_status" type="string" />

        <ResponseField name="set_completed_at" type="string" />

        <ResponseField name="public" type="boolean" />
      </Expandable>
    </ResponseField>
  </Accordion>

  <Accordion title="404">
    An error response
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET \
  -H "QB-Token: 2e80acd7f3d9c1e79312e0d1dafd6691ba012bba" \
  https://api.quickblox.com/blobs/9715867.json
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "blob": {
      "id": 9715867,
      "uid": "9dc0d37c9be34c839ae3bcac4bbaace100",
      "content_type": "image/jpeg",
      "name": "museum.jpeg",
      "size": 16766,
      "created_at": "2019-09-15T19:40:18Z",
      "updated_at": "2019-09-15T20:00:46Z",
      "blob_status": "complete",
      "set_completed_at": "2019-09-15T20:00:46Z",
      "public": false
    }
  }
  ```

  ```json 404 theme={null}
  Empty body
  ```
</ResponseExample>
